<h1>Настройка</h1>
<?php
if(isset($_POST["setsub"])){
$fp = fopen(PATH."/core/defineset.php", "w"); // Открываем файл в режиме записи 
$mytext = '
<?php 
define("ratingPlay" , '.$_POST["ratingPlay"].'); 
define("refmarketCom" , '.($_POST["refmarketCom"]/100).'); 
define("playCom" , '.($_POST["playCom"]/100).');
define("procReferer" , '.($_POST["procReferer"]/100).');  
define("WMID" , "'.($_POST["WMID"]).'"); 
define("WMR" , "'.($_POST["WMR"]).'"); 
define("ik_shop_id" , "'.($_POST["ik_shop_id"]).'"); 
define("secret_key" , "'.($_POST["secret_key"]).'"); 
define("secret_key_result" , "'.($_POST["secret_key_result"]).'"); 
?>'; // Исходная строка
$test = fwrite($fp, $mytext); // Запись в файл
if ($test) echo 'Сохранено';
else echo 'Ошибка при записи в файл.';
fclose($fp); //Закрытие файла
exit();
}
echo '
<form action="?p=set" method="post">
<table width="100%" border="1" cellspacing="0" cellpadding="0" class="table1">
  <tr>
    <td width="180px" align="right">+ рейтинга за игру:</td>
    <td><input name="ratingPlay" type="text" value="'.ratingPlay.'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">Комиссия биржи:</td>
    <td><input name="refmarketCom" type="text" value="'.(refmarketCom*100).'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">Комиссия за игру:</td>
    <td><input name="playCom" type="text" value="'.(playCom*100).'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">% рефереру:</td>
    <td><input name="procReferer" type="text" value="'.(procReferer*100).'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">WMID:</td>
    <td><input name="WMID" type="text" value="'.WMID.'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">WMR</td>
    <td><input name="WMR" type="text" value="'.WMR.'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">И-касса: ik_shop_id:</td>
    <td><input name="ik_shop_id" type="text" value="'.ik_shop_id.'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">И-касса: secret_key</td>
    <td><input name="secret_key" type="text" value="'.secret_key.'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right">И-касса: secret_key_result</td>
    <td><input name="secret_key_result" type="text" value="'.secret_key_result.'" /></td>
  </tr>
  <tr>
    <td width="180px" align="right"></td>
    <td><input name="setsub" type="submit" value="Сохранить"></td>
  </tr>
</table>
</form>
';
?>